### Hierarchy

- AudioBuffer

## Index

### Properties

- duration
- length
- numberOfChannels
- sampleRate

### Methods

- copyFromChannel
- copyToChannel
- getChannelData

## Properties

### duration

duration: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1884

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1885

### numberOfChannels

numberOfChannels: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1886

### sampleRate

sampleRate: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1887

## Methods

### copyFromChannel

- copyFromChannel(destination: Float32Array, channelNumber: number, startInChannel?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1888

  #### Parameters

  - ##### destination: Float32Array

  - ##### channelNumber: number

  - ##### Optional startInChannel: undefined | number

  #### Returns void

### copyToChannel

- copyToChannel(source: Float32Array, channelNumber: number, startInChannel?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1889

  #### Parameters

  - ##### source: Float32Array

  - ##### channelNumber: number

  - ##### Optional startInChannel: undefined | number

  #### Returns void

### getChannelData

- getChannelData(channel: number): Float32Array

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1890

  #### Parameters

  - ##### channel: number

  #### Returns Float32Array

Generated using TypeDoc